<?php

require_once '../app/model/db.class.php';
require_once '../app/model/rangos.php';

function decimales($nota){

     if (strlen($nota)==1) {
         $nota=$nota.".00";
     }


     if (strlen($nota)>3) {
         $nota=substr($nota ,0,3);
     }

    return $nota;

}

//----------------------------------------
if ($_POST['accion']=='ingresar' && $_POST['codigo']!=''){


    $obj = new database();

    $codigo = $_POST['codigo'];

    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $resultado=$obj->consulta("select alumnos.codigo, alumnos.p_apellido, alumnos.s_apellido, alumnos.p_nombre, alumnos.s_nombre, matriculas.grado, grados.descripcion as nom_grado,matriculas.curso, cursos.descripcion as nom_curso, matriculas.estado, cursos.jornada, jornadas.descripcion as nom_jor from jornadas inner join (grados inner join (cursos inner join (matriculas inner join alumnos on matriculas.codigo = alumnos.codigo ) on ( cursos.codigo = matriculas.curso ) and (cursos.grado = matriculas.grado ) ) on grados.codigo = cursos.grado ) on jornadas.codigo = cursos.jornada where alumnos.codigo='".$codigo."'");

    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);

    if ($n==1){

       $row = $obj->fetch_assoc($resultado);
       echo ($row['p_apellido'])." ".($row['s_apellido'])." ".($row['p_nombre'])." ".($row['s_nombre'])."_".$row['grado']." - ".($row['nom_grado'])."_".$row['curso']." - ".($row['nom_curso'])."_".$row['jornada']." - ".($row['nom_jor']);
    }
    else
        echo "NO";


}

//--------------------------------------------
if ($_POST['accion']=='mostrar_asign'){

    $obj = new database();

    $codigo = $_POST['codigo'];
    $grado1 = $_POST['grado'];
    $curso1 = $_POST['curso'];
    $jornada1 = $_POST['jornada'];

    $parametro_n = $_POST['n'];      //  Switch para devolver las notas de Asignaturas o Comportamiento

    $obj->conectar(); $obj->consulta("set names 'utf8'");

    if ($parametro_n=='1'){ //////////////////////////

    $resultado=$obj->consulta("select curso_asignatura_profesor.asignatura, catalogo.descripcion from catalogo inner join curso_asignatura_profesor on catalogo.codigo = curso_asignatura_profesor.asignatura where curso_asignatura_profesor.grado='".$grado1."' and curso_asignatura_profesor.curso='".$curso1."' order by catalogo.orden");

    $n=$obj->numero_de_filas($resultado);

    if ($n>=1){

        $s="<center>";
        $s.="<br><table align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='80%'>";
  
          $s.="<tr ALIGN=CENTER> <td style='background-color:#FAD1D1' colspan='7'><b>NOTAS DE ASIGNATURAS</b></td></tr>";
   
  
        $s.="<tr ALIGN=CENTER> <td><b>C&Oacute;DIGO</b></td> <td><b>ASIGNATURA</b></td>";
        $s.="<td><b>P1</b></td> <td><b>P2</b></td><td><b>P3</b></td> <td><b>P4</b></td><td><b>DEF.</b></td></tr>";

         while($row = $obj->fetch_assoc($resultado)){

              $s.="<tr>";
              $s.="<td style='font-size: 14px;' align='center' width='10%'>".$row['asignatura']."</td>";
              $s.="<td style='font-size: 14px;' width='40%'>&emsp;".($row['descripcion'])."</td>";

              //------- CONSULTA DE NOTAS DE LAS ASIGNATURAS EN CADA PERIODO ----------------

              $p1=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where detalleboletin.alumno='".$codigo."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='1' and boletin.grado='".$grado1."' and boletin.curso='".$curso1."' and boletin.jornada='".$jornada1."'");
              $n1 = $obj->fetch_assoc($p1);

              $p2=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where detalleboletin.alumno='".$codigo."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='2' and boletin.grado='".$grado1."' and boletin.curso='".$curso1."' and boletin.jornada='".$jornada1."'");
              $n2 = $obj->fetch_assoc($p2);

              $p3=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where detalleboletin.alumno='".$codigo."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='3' and boletin.grado='".$grado1."' and boletin.curso='".$curso1."' and boletin.jornada='".$jornada1."'");
              $n3 = $obj->fetch_assoc($p3);

              $p4=$obj->consulta("select detalleboletin.definitiva from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where detalleboletin.alumno='".$codigo."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='4' and boletin.grado='".$grado1."' and boletin.curso='".$curso1."' and boletin.jornada='".$jornada1."'");
              $n4 = $obj->fetch_assoc($p4);


              //----- Seleccionamos de la tabla Notas_Finales_asign --------

              $p5=$obj->consulta("select definitiva from notas_finales_asign where codigo='".$codigo."' and asignatura='".$row['asignatura']."' and grado='".$grado1."' and grupo='".$curso1."'");
              $n5 = $obj->fetch_assoc($p5);

              //-------------  MOSTAR LA NOTA  ---------------------------
          
              if ($obj->numero_de_filas($p1)==0)
                   $nota="";      
              else
                  $nota=decimales($n1['definitiva']);

              $s.="<td align='center' width='10%' style='font-weight:bold;font-size:14px;'>".$nota."</td>";                       
              //---------------------------------
              if ($obj->numero_de_filas($p2)==0)
                   $nota="";      
              else
                  $nota=decimales($n2['definitiva']);

              $s.="<td align='center' width='10%' style='font-weight:bold;font-size:14px;'>".$nota."</td>";             
              //---------------------------------
              if ($obj->numero_de_filas($p3)==0)
                   $nota="";      
              else
                  $nota=decimales($n3['definitiva']);

              $s.="<td align='center' width='10%' style='font-weight:bold;font-size:14px;'>".$nota."</td>";             
              //---------------------------------
              if ($obj->numero_de_filas($p4)==0)
                   $nota="";      
              else
                  $nota=decimales($n4['definitiva']);

              $s.="<td align='center' width='10%' style='font-weight:bold;font-size:14px;'>".$nota."</td>";             
              //---------------------------------
            $s.="<td align='center' width='10%' style='font-weight:bold;font-size:14px;'>".decimales($n5['definitiva'])."</td>";

            $s.="</tr>";
         }
         $s.="</table><br><br>";
         $s.="<INPUT TYPE='button' name='btnlimpiar' onclick='retornar()' value='  Retornar  '>&emsp;";
         $s.="</center>";

         echo $s;
    }
    else{
        echo "NO";
    }

    }  //////////////////////////
    else{
    
    $resultado=$obj->consulta("SELECT curso_asignatura_profesor.asignatura,catalogo.descripcion, profesores.nombres
                          FROM profesores INNER JOIN (catalogo INNER JOIN curso_asignatura_profesor ON catalogo.codigo = curso_asignatura_profesor.asignatura) ON profesores.cedula = curso_asignatura_profesor.profesor
                          WHERE curso_asignatura_profesor.grado='".$grado1."' AND curso_asignatura_profesor.curso='".$curso1."'  ORDER BY catalogo.orden");


    $n=$obj->numero_de_filas($resultado);

    if ($n>=1){

        $s="<center>";
        $s.="<br><table align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='80%'>";
        
        $s.="<tr ALIGN=CENTER> <td style='background-color:#FAD1D1' colspan='6'><b>NOTAS DE COMPORTAMIENTO</b></td></tr>";
        
        $s.="<tr ALIGN=CENTER> <td><b>C&Oacute;DIGO</b></td> <td><b>ASIGNATURA</b></td>";
        $s.="<td><b>P1</b></td> <td><b>P2</b></td><td><b>P3</b></td> <td><b>P4</b></td></tr>";

         while($row = $obj->fetch_assoc($resultado)){

              $s.="<tr>";
              $s.="<td align='center' width='10%' style='font-weight:bold;font-size:14px;'>".$row['asignatura']."</td>";
              $s.="<td width='50%' style='font-weight:bold;font-size:14px;'><B>".($row['descripcion'])."</B> 
                    (<i><small>".($row['nombres'])."</small></i>)
                    </td>";

              $parametro=$row['asignatura'].'_'.$grado1.'_'.$curso1.'_'.$jornada1; //id = periodo_asignatura_grado_curso_jornada


              //------- CONSULTA DE NOTAS DE LAS ASIGNATURAS EN CADA PERIODO ----------------

              $p1=$obj->consulta("select detalleboletin.autoevaluacion from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where detalleboletin.alumno='".$codigo."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='1' and boletin.grado='".$grado1."' and boletin.curso='".$curso1."' and boletin.jornada='".$jornada1."'");
              $n1 = $obj->fetch_assoc($p1);

              $p2=$obj->consulta("select detalleboletin.autoevaluacion from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where detalleboletin.alumno='".$codigo."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='2' and boletin.grado='".$grado1."' and boletin.curso='".$curso1."' and boletin.jornada='".$jornada1."'");
              $n2 = $obj->fetch_assoc($p2);

              $p3=$obj->consulta("select detalleboletin.autoevaluacion from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where detalleboletin.alumno='".$codigo."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='3' and boletin.grado='".$grado1."' and boletin.curso='".$curso1."' and boletin.jornada='".$jornada1."'");
              $n3 = $obj->fetch_assoc($p3);

              $p4=$obj->consulta("select detalleboletin.autoevaluacion from boletin inner join detalleboletin on boletin.numero = detalleboletin.boletin where detalleboletin.alumno='".$codigo."' and boletin.asignatura='".$row['asignatura']."' and boletin.periodo='4' and boletin.grado='".$grado1."' and boletin.curso='".$curso1."' and boletin.jornada='".$jornada1."'");
              $n4 = $obj->fetch_assoc($p4);

              
              //----- Seleccionamos de la tabla Notas_Finales_asign --------

              $p5=$obj->consulta("select definitiva from notas_finales_asign where codigo='".$codigo."' and asignatura='".$row['asignatura']."' and grado='".$grado1."' and grupo='".$curso1."'");
              $n5 = $obj->fetch_assoc($p5);

              //-------------  MOSTAR LA NOTA EN EL CUADRO DE TEXTO ---------------------------

              if ($obj->numero_de_filas($p1)==0)
                   $nota="";      
              else
                  $nota=decimales($n1['autoevaluacion']);

              $s.="<td align='center' width='6%' style='font-weight:bold;font-size:14px;'>".$nota."</td>"; 

              //---------------------------------
             $nota="";

              if ($obj->numero_de_filas($p2)==0)
                   $nota="";      
              else
                  $nota=decimales($n2['autoevaluacion']);

              $s.="<td align='center' width='6%' style='font-weight:bold;font-size:14px;'>".$nota."</td>"; 

              //---------------------------------

              if ($obj->numero_de_filas($p3)==0)
                   $nota="";      
              else
                  $nota=decimales($n3['autoevaluacion']);

              $s.="<td align='center' width='6%' style='font-weight:bold;font-size:14px;'>".$nota."</td>"; 


              //---------------------------------

              if ($obj->numero_de_filas($p4)==0)
                   $nota="";      
              else
                  $nota=decimales($n4['autoevaluacion']);

              $s.="<td align='center' width='6%' style='font-weight:bold;font-size:14px;'>".$nota."</td>"; 


              $s.="</tr>";
         }
         $s.="</table>";
         
        
        //---------- DEFINITIVA COMPORTAMIENTO POR PERIODO------ 
        
       $cmp1=$obj->consulta("select * from proceso_academico where periodo='1' and alumno='".$codigo."'");
       $c1 = $obj->fetch_assoc($cmp1);
          
       $cmp2=$obj->consulta("select * from proceso_academico where periodo='2' and alumno='".$codigo."'");
       $c2 = $obj->fetch_assoc($cmp2);

       $cmp3=$obj->consulta("select * from proceso_academico where periodo='3' and alumno='".$codigo."'");
       $c3 = $obj->fetch_assoc($cmp3);

       $cmp4=$obj->consulta("select * from proceso_academico where periodo='4' and alumno='".$codigo."'");
       $c4 = $obj->fetch_assoc($cmp4);
                    
        $s.="<table align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='80%'>";
        $s.="<tr ALIGN=CENTER> <td style='font-weight:bold;font-size:14px;background-color:#A2A0F7' colspan='2' width='60%'><b><i>NOTA DEL PERIODO</i></b></td>";
        $s.="<td style='font-weight:bold;font-size:14px;background-color:#A2A0F7' width='6%'><b>".decimales($c1['comportamiento'])."</b></td> 
             <td style='font-weight:bold;font-size:14px;background-color:#A2A0F7' width='6%'><b>".decimales($c2['comportamiento'])."</b></td> 
             <td style='font-weight:bold;font-size:14px;background-color:#A2A0F7' width='6%'><b>".decimales($c3['comportamiento'])."</b></td> 
             <td style='font-weight:bold;font-size:14px;background-color:#A2A0F7' width='6%'><b>".decimales($c4['comportamiento'])."</b></td> 
             </tr>";
        $s.="</table><br>";
                  
         $s.="<INPUT TYPE='button' name='btnlimpiar' onclick='retornar()' value='  Retornar  '>&emsp;";
         $s.="</center>";
       
         echo $s;
    }
    else{
        echo "NO";
    }    
    
    
    
    }

    $obj->disconnect();

}
?>